
QGIS Application - Bug report #9088

Text Annotation Symbols size is wrong in map composer

2013-11-19 05:20 AM - Geoff Owen

Status: Closed

Priority: Severe/Regression

Assignee: Martin Dobias

Category: Map Composer/Printing

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 17733

Description

I am able to add text annotaion to map canvas without any problem.

Problem arises when going to map composer.

Text annotation symbol is very very small, no matter what size I make it in map canvas.

Seems to happen whatever symbol I use (circle, square triangle etc).

Thanks

Associated revisions

Revision 40b48849 - 2014-02-13 01:55 PM - Martin Dobias

Fix #9088 (Text Annotation Symbols size is wrong in map composer)

History

#1 - 2013-11-19 09:51 AM - Giovanni Manghi

- Status changed from Open to Feedback

- Target version changed from Version 2.0.0 to Future Release - High Priority

do you have any evidence if this was working the right way in qgis 1.8?

#2 - 2013-11-19 12:52 PM - Geoff Owen

- Assignee set to Giovanni Manghi

Hello

Text annotation symbols worked fine with QGIS 1.8.

Size of symbol on map canvas was the same on map composer.

Thanks

#3 - 2013-11-20 02:59 AM - Giovanni Manghi

- Category changed from Labelling to Map Composer/Printing

- Priority changed from Normal to Severe/Regression

I'll tag this a regression, meanwhile can you test QGIS master and see if by any chance this has been fixed there? thanks.
#4 - 2013-11-22 02:18 AM - Geoff Owen

Hello Giovanni

I downloaded Master on 21 November.

The text annotation symbol problem is the same as that on stable version.

Regards

Geoff

#5 - 2014-01-26 11:34 AM - Giovanni Manghi

- Affected QGIS version changed from 2.0.1 to master

- Status changed from Feedback to Open

#6 - 2014-01-26 04:27 PM - Giovanni Manghi

- Assignee deleted (Giovanni Manghi)

#7 - 2014-02-08 04:18 AM - Giovanni Manghi

- Target version changed from Future Release - High Priority to Version 2.2

- Operating System deleted (Win 7)

Confirmed as a regression since 1.8

#8 - 2014-02-08 04:18 AM - Giovanni Manghi

- Subject changed from Text Annotation Symbols to Text Annotation Symbols size is wrong in map composer

#9 - 2014-02-13 04:51 AM - Martin Dobias

- Assignee set to Martin Dobias

#10 - 2014-02-13 04:55 AM - Martin Dobias

- Status changed from Open to Closed

Fixed in changeset commit:"40b48849b527215f9a5e2c6216122cb33eb5a915".

#11 - 2014-02-13 07:10 AM - Geoff Owen

Thanks Martin.

Regards

Geoff
